## org.eclipse.jst.jsf.context.symbol
Interface SymbolPackage.Literals

Enclosing interface:
  SymbolPackage

    public static interface SymbolPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EEnum` `ERUNTIME_SOURCE` The meta object literal for the '`ERuntime Source`' enum
`static EClass` `IBEAN_INSTANCE_SYMBOL` The meta object literal for the '`IBean Instance Symbol`' class
`static EReference` `IBEAN_INSTANCE_SYMBOL__METHODS` The meta object literal for the 'Methods' reference list feature
`static EReference` `IBEAN_INSTANCE_SYMBOL__PROPERTIES` The meta object literal for the 'Properties' reference list feature
`static EClass` `IBEAN_METHOD_SYMBOL` The meta object literal for the '`IBean Method Symbol`' class
`static EReference` `IBEAN_METHOD_SYMBOL__OWNER` The meta object literal for the 'Owner' reference feature
`static EClass` `IBEAN_PROPERTY_SYMBOL` The meta object literal for the '`IBean Property Symbol`' class
`static EReference` `IBEAN_PROPERTY_SYMBOL__OWNER` The meta object literal for the 'Owner' reference feature
`static EClass` `IBOUNDED_JAVA_TYPE_DESCRIPTOR` The meta object literal for the '`IBounded Java Type Descriptor`' class
`static EClass` `IBOUNDED_LIST_TYPE_DESCRIPTOR` The meta object literal for the '`IBounded List Type Descriptor`' class
`static EClass` `IBOUNDED_MAP_TYPE_DESCRIPTOR` The meta object literal for the '`IBounded Map Type Descriptor`' class
`static EClass` `IBOUNDED_TYPE_DESCRIPTOR` The meta object literal for the '`IBounded Type Descriptor`' class
`static EClass` `ICOMPONENT_SYMBOL` The meta object literal for the '`IComponent Symbol`' class
`static EClass` `IDESCRIBED_IN_DETAIL` The meta object literal for the '`IDescribed In Detail`' class
`static EClass` `IINSTANCE_SYMBOL` The meta object literal for the '`IInstance Symbol`' class
`static EAttribute` `IINSTANCE_SYMBOL__RUNTIME_SOURCE` The meta object literal for the 'Runtime Source' attribute feature
`static EAttribute` `IINSTANCE_SYMBOL__TYPE_RESOLVED` The meta object literal for the 'Type Resolved' attribute feature
`static EDataType` `IJAVA_ELEMENT` The meta object literal for the 'IJava Element' data type
`static EClass` `IJAVA_SYMBOL` The meta object literal for the '`IJava Symbol`' class
`static EAttribute` `IJAVA_SYMBOL__JAVA_ELEMENT` The meta object literal for the 'Java Element' attribute feature
`static EClass` `IJAVA_TYPE_DESCRIPTOR2` The meta object literal for the '`IJava Type Descriptor2`' class
`static EAttribute` `IJAVA_TYPE_DESCRIPTOR2__ARRAY_COUNT` The meta object literal for the 'Array Count' attribute feature
`static EReference` `IJAVA_TYPE_DESCRIPTOR2__BEAN_METHODS` The meta object literal for the 'Bean Methods' reference list feature
`static EReference` `IJAVA_TYPE_DESCRIPTOR2__BEAN_PROPERTIES` The meta object literal for the 'Bean Properties' reference list feature
`static EAttribute` `IJAVA_TYPE_DESCRIPTOR2__TYPE` The meta object literal for the 'Type' attribute feature
`static EClass` `ILIST_TYPE_DESCRIPTOR` The meta object literal for the '`IList Type Descriptor`' class
`static EAttribute` `ILIST_TYPE_DESCRIPTOR__LIST_SOURCE` The meta object literal for the 'List Source' attribute feature
`static EClass` `IMAP_TYPE_DESCRIPTOR` The meta object literal for the '`IMap Type Descriptor`' class
`static EAttribute` `IMAP_TYPE_DESCRIPTOR__IMMUTABLE` The meta object literal for the 'Immutable' attribute feature
`static EAttribute` `IMAP_TYPE_DESCRIPTOR__MAP_SOURCE` The meta object literal for the 'Map Source' attribute feature
`static EClass` `IMETHOD_SYMBOL` The meta object literal for the '`IMethod Symbol`' class
`static EAttribute` `IMETHOD_SYMBOL__SIGNATURE` The meta object literal for the 'Signature' attribute feature
`static EClass` `IOBJECT_SYMBOL` The meta object literal for the '`IObject Symbol`' class
`static EAttribute` `IOBJECT_SYMBOL__READABLE` The meta object literal for the 'Readable' attribute feature
`static EReference` `IOBJECT_SYMBOL__TYPE_DESCRIPTOR` The meta object literal for the 'Type Descriptor' reference feature
`static EAttribute` `IOBJECT_SYMBOL__WRITABLE` The meta object literal for the 'Writable' attribute feature
`static EClass` `IPROPERTY_SYMBOL` The meta object literal for the '`IProperty Symbol`' class
`static EAttribute` `IPROPERTY_SYMBOL__INTERMEDIATE` The meta object literal for the 'Intermediate' attribute feature
`static EClass` `ISYMBOL` The meta object literal for the '`ISymbol`' class
`static EAttribute` `ISYMBOL__NAME` The meta object literal for the 'Name' attribute feature
`static EDataType` `ITYPE` The meta object literal for the 'IType' data type
`static EClass` `ITYPE_DESCRIPTOR` The meta object literal for the '`IType Descriptor`' class
`static EAttribute` `ITYPE_DESCRIPTOR__ENUM_TYPE` The meta object literal for the 'Enum Type' attribute feature
`static EAttribute` `ITYPE_DESCRIPTOR__INTERFACE_TYPE_SIGNATURES` The meta object literal for the 'Interface Type Signatures' attribute list feature
`static EAttribute` `ITYPE_DESCRIPTOR__JDT_CONTEXT` The meta object literal for the 'Jdt Context' attribute feature
`static EReference` `ITYPE_DESCRIPTOR__METHODS` The meta object literal for the 'Methods' reference list feature
`static EReference` `ITYPE_DESCRIPTOR__PROPERTIES` The meta object literal for the 'Properties' reference list feature
`static EAttribute` `ITYPE_DESCRIPTOR__SUPER_TYPE_SIGNATURES` The meta object literal for the 'Super Type Signatures' attribute list feature
`static EAttribute` `ITYPE_DESCRIPTOR__TYPE_PARAMETER_SIGNATURES` The meta object literal for the 'Type Parameter Signatures' attribute list feature
`static EAttribute` `ITYPE_DESCRIPTOR__TYPE_SIGNATURE` The meta object literal for the 'Type Signature' attribute feature
`static EAttribute` `ITYPE_DESCRIPTOR__TYPE_SIGNATURE_DELEGATE` The meta object literal for the 'Type Signature Delegate' attribute feature
`static EDataType` `VALUE_TYPE` The meta object literal for the 'Value Type' data type

Field Detail

### IBEAN_INSTANCE_SYMBOL

    static final EClass IBEAN_INSTANCE_SYMBOL

  The meta object literal for the '`IBean Instance Symbol`' class.

  See Also:
    `IBeanInstanceSymbolImpl`, `SymbolPackageImpl.getIBeanInstanceSymbol()`

### IBEAN_INSTANCE_SYMBOL__PROPERTIES

    static final EReference IBEAN_INSTANCE_SYMBOL__PROPERTIES

  The meta object literal for the 'Properties' reference list feature.

### IBEAN_INSTANCE_SYMBOL__METHODS

    static final EReference IBEAN_INSTANCE_SYMBOL__METHODS

  The meta object literal for the 'Methods' reference list feature.

### IBEAN_PROPERTY_SYMBOL

    static final EClass IBEAN_PROPERTY_SYMBOL

  The meta object literal for the '`IBean Property Symbol`' class.

  See Also:
    `IBeanPropertySymbolImpl`, `SymbolPackageImpl.getIBeanPropertySymbol()`

### IBEAN_PROPERTY_SYMBOL__OWNER

    static final EReference IBEAN_PROPERTY_SYMBOL__OWNER

  The meta object literal for the 'Owner' reference feature.

### IINSTANCE_SYMBOL

    static final EClass IINSTANCE_SYMBOL

  The meta object literal for the '`IInstance Symbol`' class.

  See Also:
    `IInstanceSymbolImpl`, `SymbolPackageImpl.getIInstanceSymbol()`

### IINSTANCE_SYMBOL__TYPE_RESOLVED

    static final EAttribute IINSTANCE_SYMBOL__TYPE_RESOLVED

  The meta object literal for the 'Type Resolved' attribute feature.

### IINSTANCE_SYMBOL__RUNTIME_SOURCE

    static final EAttribute IINSTANCE_SYMBOL__RUNTIME_SOURCE

  The meta object literal for the 'Runtime Source' attribute feature.

### IJAVA_SYMBOL

    static final EClass IJAVA_SYMBOL

  The meta object literal for the '`IJava Symbol`' class.

  See Also:
    `IJavaSymbolImpl`, `SymbolPackageImpl.getIJavaSymbol()`

### IJAVA_SYMBOL__JAVA_ELEMENT

    static final EAttribute IJAVA_SYMBOL__JAVA_ELEMENT

  The meta object literal for the 'Java Element' attribute feature.

### ISYMBOL

    static final EClass ISYMBOL

  The meta object literal for the '`ISymbol`' class.

  See Also:
    `ISymbol`, `SymbolPackageImpl.getISymbol()`

### ISYMBOL__NAME

    static final EAttribute ISYMBOL__NAME

  The meta object literal for the 'Name' attribute feature.

### ITYPE_DESCRIPTOR

    static final EClass ITYPE_DESCRIPTOR

  The meta object literal for the '`IType Descriptor`' class.

  See Also:
    `ITypeDescriptorImpl`, `SymbolPackageImpl.getITypeDescriptor()`

### ITYPE_DESCRIPTOR__PROPERTIES

    static final EReference ITYPE_DESCRIPTOR__PROPERTIES

  The meta object literal for the 'Properties' reference list feature.

### ITYPE_DESCRIPTOR__TYPE_SIGNATURE

    static final EAttribute ITYPE_DESCRIPTOR__TYPE_SIGNATURE

  The meta object literal for the 'Type Signature' attribute feature.

### ITYPE_DESCRIPTOR__SUPER_TYPE_SIGNATURES

    static final EAttribute ITYPE_DESCRIPTOR__SUPER_TYPE_SIGNATURES

  The meta object literal for the 'Super Type Signatures' attribute list feature.

### ITYPE_DESCRIPTOR__INTERFACE_TYPE_SIGNATURES

    static final EAttribute ITYPE_DESCRIPTOR__INTERFACE_TYPE_SIGNATURES

  The meta object literal for the 'Interface Type Signatures' attribute list feature.

### ITYPE_DESCRIPTOR__TYPE_SIGNATURE_DELEGATE

    static final EAttribute ITYPE_DESCRIPTOR__TYPE_SIGNATURE_DELEGATE

  The meta object literal for the 'Type Signature Delegate' attribute feature.

### ITYPE_DESCRIPTOR__METHODS

    static final EReference ITYPE_DESCRIPTOR__METHODS

  The meta object literal for the 'Methods' reference list feature.

### ITYPE_DESCRIPTOR__TYPE_PARAMETER_SIGNATURES

    static final EAttribute ITYPE_DESCRIPTOR__TYPE_PARAMETER_SIGNATURES

  The meta object literal for the 'Type Parameter Signatures' attribute list feature.

### ITYPE_DESCRIPTOR__JDT_CONTEXT

    static final EAttribute ITYPE_DESCRIPTOR__JDT_CONTEXT

  The meta object literal for the 'Jdt Context' attribute feature.

### ITYPE_DESCRIPTOR__ENUM_TYPE

    static final EAttribute ITYPE_DESCRIPTOR__ENUM_TYPE

  The meta object literal for the 'Enum Type' attribute feature.

### IDESCRIBED_IN_DETAIL

    static final EClass IDESCRIBED_IN_DETAIL

  The meta object literal for the '`IDescribed In Detail`' class.

  See Also:
    `IDescribedInDetail`, `SymbolPackageImpl.getIDescribedInDetail()`

### IJAVA_TYPE_DESCRIPTOR2

    static final EClass IJAVA_TYPE_DESCRIPTOR2

  The meta object literal for the '`IJava Type Descriptor2`' class.

  See Also:
    `IJavaTypeDescriptor2Impl`, `SymbolPackageImpl.getIJavaTypeDescriptor2()`

### IJAVA_TYPE_DESCRIPTOR2__TYPE

    static final EAttribute IJAVA_TYPE_DESCRIPTOR2__TYPE

  The meta object literal for the 'Type' attribute feature.

### IJAVA_TYPE_DESCRIPTOR2__BEAN_PROPERTIES

    static final EReference IJAVA_TYPE_DESCRIPTOR2__BEAN_PROPERTIES

  The meta object literal for the 'Bean Properties' reference list feature.

### IJAVA_TYPE_DESCRIPTOR2__BEAN_METHODS

    static final EReference IJAVA_TYPE_DESCRIPTOR2__BEAN_METHODS

  The meta object literal for the 'Bean Methods' reference list feature.

### IJAVA_TYPE_DESCRIPTOR2__ARRAY_COUNT

    static final EAttribute IJAVA_TYPE_DESCRIPTOR2__ARRAY_COUNT

  The meta object literal for the 'Array Count' attribute feature.

### IBEAN_METHOD_SYMBOL

    static final EClass IBEAN_METHOD_SYMBOL

  The meta object literal for the '`IBean Method Symbol`' class.

  See Also:
    `IBeanMethodSymbolImpl`, `SymbolPackageImpl.getIBeanMethodSymbol()`

### IBEAN_METHOD_SYMBOL__OWNER

    static final EReference IBEAN_METHOD_SYMBOL__OWNER

  The meta object literal for the 'Owner' reference feature.

### ICOMPONENT_SYMBOL

    static final EClass ICOMPONENT_SYMBOL

  The meta object literal for the '`IComponent Symbol`' class.

  See Also:
    `IComponentSymbolImpl`, `SymbolPackageImpl.getIComponentSymbol()`

### IPROPERTY_SYMBOL

    static final EClass IPROPERTY_SYMBOL

  The meta object literal for the '`IProperty Symbol`' class.

  See Also:
    `IPropertySymbolImpl`, `SymbolPackageImpl.getIPropertySymbol()`

### IPROPERTY_SYMBOL__INTERMEDIATE

    static final EAttribute IPROPERTY_SYMBOL__INTERMEDIATE

  The meta object literal for the 'Intermediate' attribute feature.

### IMAP_TYPE_DESCRIPTOR

    static final EClass IMAP_TYPE_DESCRIPTOR

  The meta object literal for the '`IMap Type Descriptor`' class.

  See Also:
    `IMapTypeDescriptorImpl`, `SymbolPackageImpl.getIMapTypeDescriptor()`

### IMAP_TYPE_DESCRIPTOR__MAP_SOURCE

    static final EAttribute IMAP_TYPE_DESCRIPTOR__MAP_SOURCE

  The meta object literal for the 'Map Source' attribute feature.

### IMAP_TYPE_DESCRIPTOR__IMMUTABLE

    static final EAttribute IMAP_TYPE_DESCRIPTOR__IMMUTABLE

  The meta object literal for the 'Immutable' attribute feature.

### IMETHOD_SYMBOL

    static final EClass IMETHOD_SYMBOL

  The meta object literal for the '`IMethod Symbol`' class.

  See Also:
    `IMethodSymbolImpl`, `SymbolPackageImpl.getIMethodSymbol()`

### IMETHOD_SYMBOL__SIGNATURE

    static final EAttribute IMETHOD_SYMBOL__SIGNATURE

  The meta object literal for the 'Signature' attribute feature.

### IOBJECT_SYMBOL

    static final EClass IOBJECT_SYMBOL

  The meta object literal for the '`IObject Symbol`' class.

  See Also:
    `IObjectSymbol`, `SymbolPackageImpl.getIObjectSymbol()`

### IOBJECT_SYMBOL__TYPE_DESCRIPTOR

    static final EReference IOBJECT_SYMBOL__TYPE_DESCRIPTOR

  The meta object literal for the 'Type Descriptor' reference feature.

### IOBJECT_SYMBOL__READABLE

    static final EAttribute IOBJECT_SYMBOL__READABLE

  The meta object literal for the 'Readable' attribute feature.

### IOBJECT_SYMBOL__WRITABLE

    static final EAttribute IOBJECT_SYMBOL__WRITABLE

  The meta object literal for the 'Writable' attribute feature.

### IBOUNDED_TYPE_DESCRIPTOR

    static final EClass IBOUNDED_TYPE_DESCRIPTOR

  The meta object literal for the '`IBounded Type Descriptor`' class.

  See Also:
    `IBoundedTypeDescriptor`, `SymbolPackageImpl.getIBoundedTypeDescriptor()`

### IBOUNDED_MAP_TYPE_DESCRIPTOR

    static final EClass IBOUNDED_MAP_TYPE_DESCRIPTOR

  The meta object literal for the '`IBounded Map Type Descriptor`' class.

  See Also:
    `IBoundedMapTypeDescriptorImpl`, `SymbolPackageImpl.getIBoundedMapTypeDescriptor()`

### IBOUNDED_JAVA_TYPE_DESCRIPTOR

    static final EClass IBOUNDED_JAVA_TYPE_DESCRIPTOR

  The meta object literal for the '`IBounded Java Type Descriptor`' class.

  See Also:
    `IBoundedJavaTypeDescriptorImpl`, `SymbolPackageImpl.getIBoundedJavaTypeDescriptor()`

### ILIST_TYPE_DESCRIPTOR

    static final EClass ILIST_TYPE_DESCRIPTOR

  The meta object literal for the '`IList Type Descriptor`' class.

  See Also:
    `IListTypeDescriptorImpl`, `SymbolPackageImpl.getIListTypeDescriptor()`

### ILIST_TYPE_DESCRIPTOR__LIST_SOURCE

    static final EAttribute ILIST_TYPE_DESCRIPTOR__LIST_SOURCE

  The meta object literal for the 'List Source' attribute feature.

### IBOUNDED_LIST_TYPE_DESCRIPTOR

    static final EClass IBOUNDED_LIST_TYPE_DESCRIPTOR

  The meta object literal for the '`IBounded List Type Descriptor`' class.

  See Also:
    `IBoundedListTypeDescriptorImpl`, `SymbolPackageImpl.getIBoundedListTypeDescriptor()`

### ERUNTIME_SOURCE

    static final EEnum ERUNTIME_SOURCE

  The meta object literal for the '`ERuntime Source`' enum.

  See Also:
    `ERuntimeSource`, `SymbolPackageImpl.getERuntimeSource()`

### ITYPE

    static final EDataType ITYPE

  The meta object literal for the 'IType' data type.

  See Also:
    `org.eclipse.jdt.core.IType`, `SymbolPackageImpl.getIType()`

### IJAVA_ELEMENT

    static final EDataType IJAVA_ELEMENT

  The meta object literal for the 'IJava Element' data type.

  See Also:
    `org.eclipse.jdt.core.IJavaElement`, `SymbolPackageImpl.getIJavaElement()`

### VALUE_TYPE

    static final EDataType VALUE_TYPE

  The meta object literal for the 'Value Type' data type.

  See Also:
    `ValueType`, `SymbolPackageImpl.getValueType()`